package com.liquidnet.service.kylin.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * <p>
 * 推荐活动关联表
 * </p>
 *
 * @author liquidnet
 * @since 2022-07-27
 */
@Data
@EqualsAndHashCode(callSuper = false)
public class KylinRecommendActiveRelation implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(value = "mid", type = IdType.AUTO)
    private Long mid;

    /**
     * 推荐活动关系id
     */
    private String recommendRelationId;

    /**
     * 推荐商品id
     */
    private String recommendBindId;

    /**
     * 1NFT2组合购3演出4商品
     */
    private Integer type;

    /**
     * 推荐活动id(关联id)
     */
    private String recommendActiveId;

    /**
     * 创建时间
     */
    private LocalDateTime createdAt;

    /**
     * 修改时间
     */
    private LocalDateTime updatedAt;
    /**
     * 0未删除1已删除
     */
    private Integer delTag;

    /**
     * 排序
     */
    private Integer indexs;
    @TableField(exist = false)
    private String name;

    private static final KylinRecommendActiveRelation obj = new KylinRecommendActiveRelation();
    public static KylinRecommendActiveRelation getNew() {
        try {
            return (KylinRecommendActiveRelation) obj.clone();
        } catch (CloneNotSupportedException e) {
            return new KylinRecommendActiveRelation();
        }
    }


}
